{{ define "meta_tags" }} <meta name="description" content="{{ .Description | default .Params.summary}}" />
<meta name="keywords" content="{{ .Keywords | default .Site.Params.homepage_meta_tags.meta_keywords }}" />
<meta name="author" content="{{ .Params.author | default .Site.Params.homepage_meta_tags.meta_author }}" />
<meta property="og:title" content="{{ .Title }}" />
<meta property="og:type" content="{{ .Site.Params.homepage_meta_tags.meta_og_type }}" />
<meta property="og:url" content="{{ .Permalink }}" />
<meta property="og:image" content="{{ .Params.image | default .Site.Params.homepage_meta_tags.meta_og_image | absURL }}" />
<meta property="og:description" content="{{ .Description | default .Params.summary  }}" />
{{ end }}

{{ define "header_css" }}

  {{ $currentNode := . }}
  {{ with .Params.styling }}
    {{ $styling := ".scss" | printf "%s%s" . | printf "%s%s" "scss/" | printf "%s" }}
    {{ $stylingPath := ".css" | printf "%s%s" . | printf "%s%s" "css/" | printf "%s" }}
    {{ if $currentNode.Site.IsServer }}
      {{ $style := resources.Get $styling | toCSS (dict "targetPath" $stylingPath "enableSourceMap" true) }}
      <link rel="stylesheet" href="{{ ($style).RelPermalink }}">
    {{ else }}
      {{ $style := resources.Get $styling | toCSS (dict "targetPath" $stylingPath "enableSourceMap" false) }}
      <link rel="stylesheet" href="{{ ($style | minify | fingerprint).RelPermalink }}">
    {{ end }}
  {{ end }}
{{ end }}



{{ define "body_classes" }}page-default-single{{ end }}
{{ define "header_classes" }}{{ end }}

{{ define "main" }}
<h1 class="title">{{.Title}}</h1>
<div class="content {{if .Site.Params.enable_anchor_link}}{{ "anchor-link-enabled" }}{{ end }}">
  {{.Content}}
</div>
</div>
{{ end }}
